## org.eclipse.amp.axf.core
Interface IStateListener

All Known Subinterfaces:
  ILifeCycleListener

All Known Implementing Classes:
  AbstractLifecycleListener, CloseHandler, DelayView, EditPartListener, LifecycleObservationAdapter, ModelRunHandler, MonitorView, PauseHandler, RestartHandler, ResumeHandler, RunMonitorView, ScapeWrapperModelListener, StartHandler, StatusLineView, StepHandler, StopHandler, SWTAsyncModelListener, SWTThreadModelListener

    public interface IStateListener

The listener interface for receiving IState events. The class that is interested in processing a IState event implements this interface, and the object created with that class is registered with a component using the component's `addIStateListener`method. When the IState event occurs, that object's appropriate method is invoked.``

See Also:
  `IStateEvent`

Method Summary
`void` `stateChange(java.lang.Object key, java.lang.Object updated)` Notifies that the model has had some kind of state or observation status change.

Method Detail

### stateChange

    void stateChange(java.lang.Object key,
                     java.lang.Object updated)

  Notifies that the model has had some kind of state or observation status change.

  Parameters:
    `key` - the key
    `updated` - the updated